var app = getApp();
// pages/order/order.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    venueUrl : app.venueUrl,
    imgRoute  : '/route/file/download/true/',
    token: '',
    orderList:[],
    page: 1,
    rows: 10,
    total: 0
  },

  //查询订单列表
  listOrderList: function() {
    var self = this;
    app.dialog.loading('请稍等');
    app.restAjax.get(app.restAjax.path('{venueUrl}/app/booking/listpagemyticket', [app.venueUrl]), 
      {page: self.data.page,rows: self.data.rows}, {headers:{token : self.data.token}}, 
      function (code, data) {
        console.log(data);
        data.rows.forEach(element => {
          element.venuePanorama = element.venuePanorama.split(',')[0]
        });
        self.setData({
          orderList: data.rows,
          page: data.page,
          total: data.total
        });
      },
      function (code, data) {
        app.dialog.msg(data.msg);
      },function(){
        wx.hideLoading();
      })
  },

  //订单详情页
  toOrderDetail: function(options){
    var groundBookingId = options.currentTarget.dataset.id;
    if(!groundBookingId){
      return false;
    }
    wx.navigateTo({
      url: '../orderDetail/orderDetail?groundBookingId=' + groundBookingId,
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.getStorage({
      key: 'token',
      success: (result) => {
        this.setData({
          token : result.data
        })
        this.listOrderList();
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})